Page MenuHomePhabricator

Make Ferret query functions sticky only if their values are not quoted
ClosedPublic

Authored by epriestley on Apr 14 2020, 5:03 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sun, Mar 31, 11:30 AM
Unknown Object (File)
Wed, Mar 20, 2:25 PM
Unknown Object (File)
Feb 17 2024, 10:04 PM
Unknown Object (File)
Feb 7 2024, 10:23 PM
Unknown Object (File)
Jan 25 2024, 2:17 AM
Unknown Object (File)
Jan 10 2024, 10:10 AM
Unknown Object (File)
Jan 9 2024, 5:28 PM
Unknown Object (File)
Jan 5 2024, 1:25 PM
Subscribers
None

Details

Summary

Ref T13509. Currently, functions are "sticky", but this stickness is in the query execution layer.

Instead:

  • move stickiness to the query compiler; and
  • make it so that functions are not sticky if their arguments are quoted.

For example:

  • title:x y previously meant title:x title:y (and still does). The "title:" is sticky.
  • title:"x" y previously meant title:x title:y. It now means title:x all:y. The "title:" is not sticky because the argument is quoted.
Test Plan

Added unit tests, ran unit tests.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.Apr 14 2020, 5:47 PM
This revision was automatically updated to reflect the committed changes.